<div class="wrapper">
  <div class="mycalc" [ngClass]="mycalcNgClass">
    <div class="mycalc" [ngClass]="mycalcNgClass">
      <mat-form-field appearance="outline" class="custom-input">
        <mat-label>Number</mat-label>
        <input
          type="text"
          [value]="input$ | async"
          (input)="updateInput(box.value)"
          [(ngModel)]="toShow"
          #box
          (keyup.enter)="calcValue(box.value)"
          matInput
          placeholder="Enter the number"
        />
        <mat-icon matSuffix fontIcon="functions"></mat-icon>
      </mat-form-field>

      <div class="all-btn">
        <div class="all-btn-numbers">
          <button
            *ngFor="let number of numbers"
            mat-mini-fab
            (click)="writeToInput(number)"
          >
            {{ number }}
          </button>
          <button mat-mini-fab (click)="writeToInput('.')">.</button>
          <div class="btn-extra">
            <button mat-mini-fab (click)="back()">back</button>
          </div>
        </div>

        <div class="all-btn-signs">
          <button mat-mini-fab (click)="writeToInput('+'); changeOperator('+')">
            +
          </button>
          <button mat-mini-fab (click)="writeToInput('-'); changeOperator('-')">
            -
          </button>
          <button mat-mini-fab (click)="writeToInput('*'); changeOperator('*')">
            *
          </button>
          <button mat-mini-fab (click)="writeToInput('/'); changeOperator('/')">
            /
          </button>
        </div>

        <div class="ingCalc" #ingCalc>
          <button mat-mini-fab (click)="writeToInput('%')" disabled="">
            %
          </button>
          <button mat-mini-fab (click)="writeToInput('(')">(</button>
          <button mat-mini-fab (click)="writeToInput(')')">)</button>
          <button mat-mini-fab (click)="writeToInput('sin(')">sin</button>
          <button mat-mini-fab (click)="writeToInput('cos(')">cos</button>
          <button mat-mini-fab (click)="writeToInput('tan(')">tan</button>
          <button mat-mini-fab (click)="fact()">x!</button>
          <button mat-mini-fab (click)="writeToInput('sqrt(')">√</button>
          <button mat-mini-fab (click)="writeToInput('log(')">log</button>
          <button mat-mini-fab (click)="writeToInput('π')">π</button>
          <button mat-mini-fab (click)="power()">^2</button>
          <button mat-mini-fab (click)="writeToInput('e')">e</button>
        </div>
      </div>

      <div class="btn-clear-equals">
        <button mat-raised-button id="clear" (click)="clear()">C</button>
        <button mat-raised-button id="equals" (click)="calcValue(box.value)">
          =
        </button>
        <button
          mat-raised-button
          (click)="toggleIngCalc()"
          class="btn-ing-calc"
        >
          TIC
        </button>
      </div>
    </div>
  </div>
</div>
